de.vc.report

## Class ReportBuilder

- java.lang.Object
- - de.vc.report.ReportBuilder

- Direct Known Subclasses:
    FOReportBuilder

      public abstract class ReportBuilder
      extends java.lang.Object

  A report builder builds a report from report data. You have to implement the buildReport methode.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ReportBuilder()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected abstract Report` | `buildReport(ReportData data, ReportContext ctx)` Builds a report from report data.
    `protected void` | `finish()` Invoked by the report engine when all reports have been created.
    `protected org.apache.commons.logging.Log` | `getLogger()`
    `protected void` | `init()` Invoked by the report engine to initialize this builder before generating reports.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ReportBuilder

          public ReportBuilder()

  - ### Method Detail

    - #### buildReport

          protected abstract Report buildReport(ReportData data,
                           ReportContext ctx)
                                         throws ReportException

      Builds a report from report data.
      Parameters:
        `data` - Report data.
        `ctx` - Meta data of report.
      Returns:
        An inputStream that delivers generated report.
      Throws:
        `ReportException`

    - #### finish

          protected void finish()
                         throws ReportException

      Invoked by the report engine when all reports have been created.
      Throws:
        `ReportException`

    - #### init

          protected void init()
                       throws ReportException

      Invoked by the report engine to initialize this builder before generating reports.
      Throws:
        `ReportException`

    - #### getLogger

          protected org.apache.commons.logging.Log getLogger()

© 2003-2011 by Sascha Schmidt (vision-cloud.de). All Rights Reserved.